# Generated by rust2rpm 10
%bcond_without check
# Exa is not supposed to be used as a library
%global __cargo_skip_build 0
%global __cargo_is_lib() false

%global crate exa

Name:           rust-%{crate}
Version:        0.9.0
Release:        1%{?dist}
Summary:        Modern replacement for ls

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/exa
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
exa  is a modern replacement for the command-line program ls that ships
with Unix and Linux operating systems, with more features and better defaults.
It uses colours to distinguish file types and metadata.
It knows about symlinks, extended attributes, and Git. And it’s small, fast,
and just one single binary.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE
%doc README.md
%{_bindir}/exa
%{_mandir}/man1/exa.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/exa.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/exa.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_exa

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 contrib/man/exa.1
install -Dpm0644 -T contrib/completions.bash \
  %{buildroot}%{_datadir}/bash-completion/completions/exa.bash
install -Dpm0644 -T contrib/completions.fish \
  %{buildroot}%{_datadir}/fish/vendor_functions.d/exa.fish
install -Dpm0644 -T contrib/completions.zsh \
  %{buildroot}%{_datadir}/zsh/site-functions/_exa

%if %{with check}
%check
# https://github.com/ogham/exa/issues/318
%cargo_test || :
%endif

%changelog
* Mon Jul 15 08:23:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sun Jul 14 19:34:42 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-17
- Regenerate

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.8.0-16
- Bump git2 to 0.9

* Tue May 07 14:00:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-15
- Update glob to 0.3, number_prefix to 0.3

* Thu Apr 25 17:20:22 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-214
- Rebuilt for rust-users 0.9.1

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-13
- Update git2 and env_logger deps

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-11
- Adapt to new packaging

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.8.0-10
- Rebuild with fixed rust-libgit2-sys-0.7.7

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-9
- Rebuild for libgit2 0.27.x

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-7
- Bump users to 0.7

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 0.8.0-6
- Bump ansi_term to 0.11

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-5
- Bump git2 to 0.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-3
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-2
- Bump lazy_static to 1

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Initial package
